package com.ecep.contract.ds.vendor.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.CompanyVendorFileType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.CompanyVendorFileTypeLocal;

@Repository
public interface CompanyVendorFileTypeLocalRepository
        extends BaseEnumEntityRepository<CompanyVendorFileType, CompanyVendorFileTypeLocal, Integer> {

    @Override
    default CompanyVendorFileType[] getEnumConstants() {
        return CompanyVendorFileType.values();
    }

    @Override
    default CompanyVendorFileTypeLocal newEntity() {
        return new CompanyVendorFileTypeLocal();
    }
}